%define _commit b43eb39827541b484ae2f649ed3c484d8ca9424f
%define _shortcommit %(c=%{_commit}; echo ${c:0:7})

Name: universal-ctags
Version: 0
Release: 0.1.20201221.%{_shortcommit}%{?dist}

Summary: Universal Ctags - a multi-language source code indexing tool
License: GPLv2+
URL: http://ctags.io

Prefix: %{_prefix}

Source0: https://github.com/universal-ctags/ctags/archive/%{_commit}.tar.gz

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc
BuildRequires: jansson-devel
BuildRequires: libseccomp-devel
BuildRequires: libxml2-devel
BuildRequires: libyaml-devel
BuildRequires: make
BuildRequires: pkgconfig
BuildRequires: python3-docutils

Conflicts: ctags <= 5.8
Obsoletes: ctags <= 5.8
# This allows following the Fedora version guidelines for packages with no
# versioned releases and also handle anything that may specify it requires
# 'ctags >= 5.8' (5.8 was the latest released version of exuberant-ctags).
Provides: ctags = 5.9

%description
Universal Ctags generates an index (or tag) file of language objects
found in source files for many popular programming languages. This index
makes it easy for text editors and other tools to locate the indexed
items. Universal Ctags improves on Exuberant Ctags because of its
multilingual support, its ability for the user to define new languages
searched by regular expressions, and its ability to generate Emacs-style
TAGS files. And it's maintained.

Install universal-ctags if you are going to use your system for programming.

%prep
%autosetup -n ctags-%{_commit}

%build
./autogen.sh
%configure
%make_build

%install
%make_install
%{__make} -C %{_builddir}/%{?buildsubdir}/man man

%files
%defattr(-,root,root)
%license COPYING
%doc README.md
%{_bindir}/ctags
%{_bindir}/readtags
%doc %{_mandir}/man1/*
%doc %{_mandir}/man5/*
%doc %{_mandir}/man7/*

%changelog
* Wed Dec 23 2020 Joel Goguen <contact@jgoguen.ca> - 0-0.1.20201221.b43eb39
- Update to latest master
* Fri Sep 11 2020 Joel Goguen <contact@jgoguen.ca> - 0.0.1.20200911.b43eb39
- Update to commit b43eb39
* Sat Jun 27 2020 Joel Goguen <contact@jgoguen.ca> - 0.0.1.20200614.62f0144
- Update to commit 62f0144
* Sun Sep 08 2019 Joel Goguen <contact@jgoguen.ca> - 0-0.1.20190908.2614dbe
- Create spec for universal-ctags
